Which compilers, specifically, work with Qt creator 5.6?



  • I have installed Qt creator 5.6 open source. When trying to build the program that is the standard template after installing, I get this error: "Qt creator needs a compiler setup to build. Configure a compiler in the kit options." I have gone to the options and setup a kit using mingw compiler G++ but it says that the compiler is unable to produce code for Qt 5.6.

    What compiler will work with this version of Qt creator? or will this compiler work with an older version of Qt creator?

    Sorry in advance for the noobie question, this is my first time using the platform.

    OS is windows 10


  • Moderators

    MinGW works fine with QtCreator.
    The question is: what program are you trying to compile?
    Is it Qt based program? If so did you install Qt? Which Qt did you install?
    You need to install Qt for MinGW if you want to use MinGW with Qt.
    How did you install MinGW?


  • Lifetime Qt Champion

    Hi and welcome to devnet,

    That message usually comes when one install one of the MSVC Qt package without having Visual Studio installed. If you want to use Visual Studio, you have to install yourself, it's provided by Microsoft directly.

    You can't mix and match compilers, so your can't use MinGW to build application with libraries built with MSVC 2015. But it's also valid between Visual Studio releases, e.g. libraries built with Visual Studio 2013 can't be used with Visual Studio 2015.

    You can find the complete list of supported platforms here


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.